import sys
from functools import partial

import zmq
import tornado
from tornado.ioloop import IOLoop

from test_fsm import TestFSM
from tfw.networking import TFWServer
from tfw.config import TFWENV
from tfw.config.logs import logging

LOG = logging.getLogger(__name__)


if __name__ == '__main__':
    # pylint: disable=invalid-name
    FiveStepTestFSM = partial(TestFSM, 5)
    TFWServer(FiveStepTestFSM).listen(TFWENV.WEB_PORT)
    LOG.debug('Python version: %s', sys.version[:5])
    LOG.debug('Tornado version: %s', tornado.version)
    LOG.debug('ZeroMQ version: %s', zmq.zmq_version())
    LOG.debug('PyZMQ version: %s', zmq.pyzmq_version())
    LOG.info('Tornado application listening on port %s', TFWENV.WEB_PORT)
    IOLoop.instance().start()
